Skip to main content
GET
Python (SDK)

Authorizations

x-api-key
string
header
required

Your Compass API Key. Get your key here.

Query Parameters

chain
enum<string>
default:arbitrum
required
Available options:
arbitrum,
base,
ethereum
block
integer | null

Optional block number (defaults to latest).

token
string
default:USDC
required

The symbol or address of the token to fetch the user's position on.. A token identifier - either a supported symbol (e.g., USDC, WETH) or a valid Ethereum address (0x...)

Examples:

"USDC"

"WETH"

"0xA0b86a33E6441ccF30EE5DdEF1E9b652C91ac1c8"

Response

Successful Response

supply_apy_variable_rate
string
required

Variable rate APY for deposits.

Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
supply_apr_variable_rate
string
required

Variable rate APR for deposits.

Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
borrow_apy_variable_rate
string
required

Variable rate APY for loans.

Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
borrow_apr_variable_rate
string
required

Variable rate APR for loans.

Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
borrow_apy_fixed_rate
string
required

Fixed rate APY for loans.

Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
borrow_apr_fixed_rate
string
required

Fixed rate APR for loans.

Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$